explain_fwrite_or_die(3)

NAME
explain_fwrite_or_die - binary stream output and report errors
    "binary stream output and report errors"

SYNOPSIS
#include <libexplain/fwrite.h>

size_t explain_fwrite_or_die(const void *ptr, size_t size, size_t nmemb, FILE *fp);

DESCRIPTION
The explain_fwrite_or_die function is used to call the fwrite(3) system call. On failure an explanation will be printed to stderr, obtained from explain_fwrite(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    size_t result = explain_fwrite_or_die(ptr, size, nmemb, fp);

ptr The ptr, exactly as to be passed to the fwrite(3) system call.

size
    The size, exactly as to be passed to the fwrite(3) system call.

nmemb
    The nmemb, exactly as to be passed to the fwrite(3) system call.

fp  The fp, exactly as to be passed to the fwrite(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

fwrite(3)
    binary stream output

explain_fwrite(3)
    explain fwrite(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller